let index = 0;

// eslint-disable-next-line no-unused-vars
function onMounted(props, state) {
  this.su_id = `su-tab-header-${index++}`;
  this.obs.on(`${this.su_id}-add-class`, classes => {
    this.update({
      classes
    });
  });
}

var suTabHeader = {
  'css': null,

  'exports': {
    onMounted
  },

  'template': function(template, expressionTypes, bindingTypes, getComponent) {
    return template('<slot expr101="expr101"></slot>', [{
      'expressions': [{
        'type': expressionTypes.ATTRIBUTE,
        'name': 'class',

        'evaluate': function(scope) {
          return ['ui ', scope.props.class, ' ', scope.state.classes, ' menu'].join('');
        }
      }, {
        'type': expressionTypes.ATTRIBUTE,
        'name': 'id',

        'evaluate': function(scope) {
          return scope.su_id;
        }
      }]
    }, {
      'type': bindingTypes.SLOT,
      'attributes': [],
      'name': 'default',
      'redundantAttribute': 'expr101',
      'selector': '[expr101]'
    }]);
  },

  'name': 'su-tab-header'
};

export default suTabHeader;
